/*
 * Copyright (C) 2023 KylinSoftCo., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
**/
#ifndef MODEBUTTON_H
#define MODEBUTTON_H

#include <QPushButton>
#include <QLabel>
#include <QHBoxLayout>
#include <qgsettings.h>
#include <QWidget>
class ModeButton : public QPushButton
{
    Q_OBJECT
public:
    explicit ModeButton(QWidget *parent = nullptr);
    ModeButton(QString strIcon, QWidget *parent = nullptr);
    virtual ~ModeButton();

    QPixmap drawSymbolicColoredPixmap(QPixmap &source, QString cgColor);
    void initUI();
    void setModeIcon();
    bool isShowPwd();

protected:
    bool eventFilter(QObject *obj, QEvent *event) override; //事件过滤
private:
    void initStyleTheme();

private:
    QString m_strIcon;
    QString m_strText;
    QGSettings *m_styleSettings = nullptr;
    QString m_strThemeName = "";
    bool pwdShow = false;
    bool m_isHover = false;
};
#endif // MODEBUTTON_H
